import { select,csv,scaleLinear,
        max,axisBottom,axisLeft } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render=(data)=>{
const circleRadius=10;
const xValue= d=>d.horsepower  
const xScale=scaleLinear()
.domain([0,max(data,d=>d.horsepower)])
.range([0,innerWidth])
.nice();

const yValue=d=>d.weight
const yScale=scaleLinear()
.domain([0, max(data,d=>d.weight)])
.range([innerHeight,0])
.nice();

const margin={top:20, right:20, bottom:20, left:20}
const innerWidth=width-margin.left-margin.right
const innerHeigth=height-margin.top-margin.bottom

const g=svg.append('g')
.attr('transform',`translate(${margin.top}, ${margin.left})`);
g.append('g').call(axisBottom(xScale))
g.append('g').call(axisLeft(yScale))
.attr('transform',`translate(0, ${innerHeight})`)
  
g.selectAll('circle')
.data(data)
.enter().append('circle')
.attr('cx',d=>xScale(xValue(d)))
.attr('cy',d=>yScale(yValue(d)))
.attr('r',circleRadius) };

csv('https://vizhub.com/Sergiop79/datasets/auto-mpg.csv')
.then(data=>{
data.forEach((d)=>{
d.mpg=+d.mpg
d.cylinder=+d.cylinder
d.displacement=+d.displacement
d.horsepower=+d.horsepower  
d.weight=+d.weight
d.accleration=+d.acceleration
d.year=+d.year
})
render(data)  
});